@echo off

rem ==========================================================================
rem PDF Test Tookit registration script
rem Copyright (c) 2009 Adobe Systems Incorporated, All Rights Reserved.
rem ==========================================================================

echo PDF Test Toolkit registration script

set plugin=Automation.api
set acroQTP=AcroQTP.exe
set usage=Usage: %~n0 [/q - quiet] [/u - unregister] [install path of %plugin% and %acroQTP%]

if /I .%1 == ./q (set pause=1&shift /1) else (set pause=0)
if /I .%1 == ./u (set pluginParam=/u&set acroQTPParam=/unregserver&set successMessage=unregistered&shift /1) else (set pluginParam= &set acroQTPParam=/regserver&set successMessage=registered)

rem compute installPath

set installPath=
if /I "%~nx1" == "%plugin%" set installPath=%~dp1
if /I "%~nx1" == "%acroQTP%" set installPath=%~dp1
if "%installPath%" == "" set installPath=%~1
if "%installPath%" == "" set installPath=%~dp0


rem register plugin
if not exist "%installPath%\%plugin%" (echo Error: File not found - "%installPath%\%plugin%" & echo %usage% & goto end)
regsvr32 %pluginParam% /s "%installPath%\%plugin%"
echo   %plugin% is %successMessage%!!!

rem register acroQTP
if not exist "%installPath%\%acroQTP%" (echo Error: File not found - "%installPath%\%acroQTP%" & echo %usage% & goto end)
"%installPath%\%acroQTP%" %acroQTPParam%
echo   %acroQTP% is %successMessage%!!!

:end

if not "%pause%" == "1" pause

set plugin=
set acroQTP=
set usage=
set installPath=
set pluginParam=
set acroQTPParam=
set successMessage=
set pause=